Subject: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

From: Robert Pluim <[email-masked]>
Date: Fri, 20 Feb 2015 16:46:48 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Date: Fri, 20 Feb 2015 15:16:49 +0100
>> 
>> > According to the comment in w32notify.c, w32.h is included only for
>> > w32_strerror.  Could you try commenting out the w32.h inclusion, and
>> > instead copy the w32_strerror prototype into w32notify.c?  Does Emacs
>> > compile then as part of the Cygwin-w32 build, and do file
>> > notifications work?  (I don't have Cygwin installed to try that,
>> > sorry.)
>> >
>> 
>> No, that doesn't compile. w32notify.c needs (at least)
>> w32_unicode_filenames, filename_to_utf16(), filename_to_ansi() and
>> w32_valid_pointer_p() from w32.c.
>
> Right.  But those problems are quite simple to solve.
>
> Ken, would you like to try to solve them?  I could suggest a patch,
> but it would be 100% untested.
>
>> I don't think adding w32.c into the build on cygwin is going to work.
>
> Because of the above, or because of something else?

Because (perhaps mistakenly) I think that calling emacs code that
assumes it's running under Windows native will not interact well with
emacs code that's running under cygwin.

Having said that, I'm willing to test any patches over the next week or
so (after that I'm going to be without a cygwin environment for a couple
of weeks).

Robert